
QGIS Application - Bug report #19169

qGIS crashed after saving, Styling panel opened

2018-06-11 11:55 PM - Alam Wijaya Senopati

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26998

Description

User Feedback

Report Details

Crash ID: 3b7737cbe9e6ad6f30d9afe37a79eb2bbb5a622c

Stack Trace

QBitArray::QBitArray :

QgsMapLayer::id :

QgsLayerTree::writeXml :

QgsLayoutItemLegend::writePropertiesToElement :

QgsLayoutItem::writeXml :

QgsLayout::writeXml :

QgsPrintLayout::writeXml :

QgsPrintLayout::writeLayoutXml :

QgsLayoutManager::writeXml :

QgsProject::writeProjectFile :

QgsProject::write :

QgisApp::fileSave :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 19145: Crash when deleting an item... Closed 2018-06-08

History

#1 - 2018-06-13 04:09 PM - Alessandro Pasotti

I think this was fixed in current master, would you be able to test one of the nightly builds?

see: https://issues.qgis.org/issues/19145

#2 - 2018-06-13 04:09 PM - Alessandro Pasotti

- Related to Bug report #19145: Crash when deleting an item from the layout legend added

#3 - 2018-07-20 09:00 AM - Nyall Dawson

- Status changed from Open to Closed

Closed due to lack of feedback
https://issues.qgis.org/issues/19145

